#include "Light.h"

Light::Light()
{
        pos = glm::vec3(0.0f, 0.0f, 0.0f);
        intensity = 0.0;
}

Light::Light(const Light &l)
{
        pos = l.pos;
        intensity = l.intensity;
}

Light::Light(glm::vec3 p, float i)
{
        pos = p;
        intensity = i;
}

void Light::setPos(glm::vec3 p)
{
        this->pos = p;
}

void Light::setIntensity(float i)
{
        this->intensity = i;
}

glm::vec3 Light::getPos()
{
        return this->pos;
}

float Light::getIntensity()
{
        return this->intensity;
}
